local keymap = vim.keymap.set

keymap("n", "<Esc>", ":nohlsearch<CR>")

keymap("n", "<leader>en", ":edit $MYVIMRC<CR>")
keymap("n", "<leader>ez", ":edit ~/.zshrc<CR>")

keymap("v", "J", ":m '>+1<CR>gv=gv")
keymap("v", "K", ":m '<-2<CR>gv=gv")

for _, k in ipairs({ "h", "j", "k", "l" }) do
	keymap({ "n", "i", "v" }, "<C-" .. k .. ">", "<C-w><C-" .. k .. ">")
end

keymap("n", "<leader>f", ":Pick files<CR>")
keymap("n", "<leader>g", ":Pick grep_live<CR>")

keymap("n", "<leader>lf", vim.lsp.buf.format)
